View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000036Ecere SDKecerepublic2008-04-15 19:412012-03-29 07:53
Reporterjerome 
Assigned Tojerome 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000036: Activation Issues in X
Description- File Menu, recent files , Escape , Escape ==> File menu remains there
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000039)
jerome (administrator)
2008-05-12 04:45

The X activation system has been redesigned with the WM_TAKE_FOCUS / MWMHints.Input = 0 model and missing features such as minimizing, creationActivation, flashing were implemented.
(0000046)
jerome (administrator)
2008-05-14 22:09
edited on: 2008-05-14 22:10

Activation Test Cases:

- In Windows XP: Alt+F (keep down) alt-tab to IDE, if menu doesn't dissappear activate another window (Menu must go away)
- Click on File, Click on file again (Menu must go away)
- Right click to bring up context menu in code editor, click elsewhere (Menu must go away)
- File/Open click on dropbox then click dropbox again (Listbox must go away)
- File/Open click on dropbox then click on cancel button (Listbox must go away on button down)
- File, Recent Projects, Right, Escape, Escape (All menus must go away)
- File, click in IDE (File must be unpressed)


- Issue History
Date Modified Username Field Change
2008-04-15 19:41 jerome New Issue
2008-04-15 19:41 jerome Status new => assigned
2008-04-15 19:41 jerome Assigned To => jerome
2008-05-02 01:03 jerome Priority normal => high
2008-05-12 04:45 jerome Status assigned => resolved
2008-05-12 04:45 jerome Resolution open => fixed
2008-05-12 04:45 jerome Note Added: 0000039
2008-05-14 22:09 jerome Note Added: 0000046
2008-05-14 22:10 jerome Note Edited: 0000046
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:56 redj Relationship added child of 0000433
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker